package com.heyu.api.data.enums;

public enum DelayTypeEnums {
    delivered("delivered", "妥投","deliveredHandler"),

    weixinPayClose("weixinPayClose", "微信支付关闭","weiXinPayCloseHandler");

    private String type;

    private String desc;

    private String handler;


    DelayTypeEnums(String type, String desc,String handler) {
        this.type = type;
        this.desc = desc;
        this.handler = handler;
    }

    public static DelayTypeEnums getDelayTypeByType(String type) {
        for (DelayTypeEnums value : DelayTypeEnums.values()) {
            if (value.getType().equals(type)) {
                return value;
            }
        }
        return null;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getHandler() {
        return handler;
    }

    public void setHandler(String handler) {
        this.handler = handler;
    }
}
